Resolve Review
curl --request POST \
--url https://demo.rotavision.com/api/v1/bound/reviews/{review_id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>",
"corrected_action": {},
"escalate_to": "<string>"
}
'import requests
url = "https://demo.rotavision.com/api/v1/bound/reviews/{review_id}/resolve"
payload = {
"note": "<string>",
"corrected_action": {},
"escalate_to": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>', corrected_action: {}, escalate_to: '<string>'})
};
fetch('https://demo.rotavision.com/api/v1/bound/reviews/{review_id}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agent_id": "<string>",
"evaluation_id": "<string>",
"escalated_from": "<string>",
"client_ref": "<string>",
"org_unit": "<string>",
"escalate_to_kind": "<string>",
"escalate_to": "<string>",
"kind": "<string>",
"status": "<string>",
"claimed_by": "<string>",
"claimed_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"note": "<string>",
"corrected_action": {},
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}bound
Resolve Review
POST
/
api
/
v1
/
bound
/
reviews
/
{review_id}
/
resolve
Resolve Review
Authorizations
Ingest API key or OIDC JWT. See /authentication.
Path Parameters
Body
application/json
Available options:
approved, overridden, escalated Maximum string length:
2000Required when the verdict is overridden
Available options:
role, team, user Maximum string length:
200Response
Successful Response
⌘I

